Retrieve optimization workflow status - Fabric

Retrieve optimization workflow status

cURL

curl --request GET \
  --url https://commerceos.aiagents.fabric.inc/api/v2/optimize/workflows/{workflow_id} \
  --header 'domain: <domain>'

Python

import requests

url = "https://commerceos.aiagents.fabric.inc/api/v2/optimize/workflows/{workflow_id}"

headers = {"domain": "<domain>"}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript

const options = {method: 'GET', headers: {domain: '<domain>'}};

fetch('https://commerceos.aiagents.fabric.inc/api/v2/optimize/workflows/{workflow_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response

200

401

403

404

500

Example Workflow State

{
  "id": "9349773c-27fe-4d4f-a093-a5793dff8702",
  "brand_id": "691df5949676c8e0b1d7b6b3",
  "type": "OPTIMIZE",
  "origin": "API",
  "mode": "prod",
  "workflow_type": null,
  "status": "REVIEW_PENDING",
  "current_step": "TAXONOMY_MAP",
  "current_hitl_gate": "TAXONOMY_REVIEW",
  "name": "Spring 2026 catalog enrichment",
  "tags": [],
  "started_at": "2026-05-15T10:35:12Z",
  "completed_at": null,
  "last_error": null,
  "retry_count": 0,
  "workflow_metadata": null,
  "progress": {
    "current_phase": "taxonomy",
    "current_step": "TAXONOMY_MAP",
    "current_gate": "TAXONOMY_REVIEW",
    "phases": {
      "validation": {
        "status": "COMPLETED"
      },
      "taxonomy": {
        "status": "REVIEW_PENDING"
      },
      "enrichment": {
        "status": "NOT_STARTED"
      },
      "publish": {
        "status": "NOT_STARTED"
      }
    }
  },
  "review_summary": {
    "total_categories": 12,
    "decided_categories": 3,
    "pending_categories": 9,
    "rerunning_categories": 0,
    "rejected_categories": 0,
    "ready_for_publish_categories": 0,
    "published_categories": 0
  },
  "reviewer_summary": [
    {
      "reviewer_user_id": "user_xyz",
      "name": "Alex Reviewer",
      "email": "alex@acme.com",
      "first_name": "Alex",
      "last_name": "Reviewer",
      "category_ids": [
        "cat_apparel",
        "cat_outerwear"
      ],
      "categories_at_open_gate": 2,
      "current_gate": "TAXONOMY_REVIEW"
    }
  ],
  "created_by": {
    "id": "user_xyz",
    "type": "user",
    "name": "Integration Bot",
    "email": "integration@acme.com"
  },
  "updated_by": {
    "id": "user_xyz",
    "type": "user",
    "name": "Integration Bot",
    "email": "integration@acme.com"
  },
  "created_at": "2026-05-15T10:35:00Z",
  "updated_at": "2026-05-15T10:42:08Z"
}

Error Response

{
  "errors": "<array>",
  "message": "Bad request",
  "type": "CLIENT_ERROR"
}

Headers

Path Parameters

Responses

200

application/json Workflow state
Workflow state envelope returned by POST /v2/optimize/workflows and GET /v2/optimize/workflows/{workflow_id}. The status value progresses through PENDING, then RUNNING or IN_PROGRESS, then REVIEW_PENDING, and ultimately COMPLETED. FAILED and CANCELLED are terminal alternatives.